Package org.opensaml.messaging.handler.impl

# Class StaticMessageChannelSecurity

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.handler.AbstractMessageHandler
org.opensaml.messaging.handler.impl.AbstractMessageChannelSecurity
org.opensaml.messaging.handler.impl.StaticMessageChannelSecurity

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageHandler`

public class StaticMessageChannelSecurity extends AbstractMessageChannelSecurity
Message handler which populates a `MessageChannelSecurityContext` based on static configuration flags.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`confidentialityActive`
Message channel confidentiality flag.
`private boolean`
`integrityActive`
Message channel integrity flag.

## Constructor Summary

Constructors
Constructor
Description
`StaticMessageChannelSecurity()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`boolean`
`isConfidentialityActive()`
Get whether message channel confidentiality is active.
`boolean`
`isIntegrityActive()`
Get whether message channel integrity is active.
`void`
`setConfidentialityActive(boolean flag)`
Set whether message channel confidentiality is active.
`void`
`setIntegrityActive(boolean flag)`
Set whether message channel integrity is active.

### Methods inherited from class org.opensaml.messaging.handler.impl.AbstractMessageChannelSecurity

`doPreInvoke, ensureParentContext, getParentContext, setParentContextLookupStrategy`

### Methods inherited from class org.opensaml.messaging.handler.AbstractMessageHandler

`doPostInvoke, doPostInvoke, getActivationCondition, getLogPrefix, invoke, isPreInvokeCalled, setActivationCondition`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### confidentialityActive

private boolean confidentialityActive
Message channel confidentiality flag.

### integrityActive

private boolean integrityActive
Message channel integrity flag.

## Constructor Details

### StaticMessageChannelSecurity

public StaticMessageChannelSecurity()

## Method Details

### isConfidentialityActive

public boolean isConfidentialityActive()
Get whether message channel confidentiality is active.

Returns:
  Returns the confidentialityActive.

### setConfidentialityActive

public void setConfidentialityActive(boolean flag)
Set whether message channel confidentiality is active.

Parameters:
  `flag` - The confidentialityActive to set.

### isIntegrityActive

public boolean isIntegrityActive()
Get whether message channel integrity is active.

Returns:
  Returns the integrityActive.

### setIntegrityActive

public void setIntegrityActive(boolean flag)
Set whether message channel integrity is active.

Parameters:
  `flag` - The integrityActive to set.

### doInvoke

protected void doInvoke(@Nonnull MessageContext messageContext)
Performs the handler logic.

Specified by:
  `doInvoke` in class `AbstractMessageHandler`
Parameters:
  `messageContext` - the message context on which to invoke the handler